Bug 83188 - Allow to specify the class name in LineBreakpoint
Allow to specify the class name in LineBreakpoint
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 54449
  Show dependency treegraph
 
Reported: 2006-08-22 14:45 UTC by Martin Entlicher
Modified: 2010-04-29 09:30 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The API change (8.11 KB, text/plain)
2006-08-22 16:19 UTC, Martin Entlicher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2006-08-22 14:45:52 UTC
This is required for JSP line breakpoints. They need to set something like
"org.apache.jsp.*" as the class name. Currently there is an ugly hack, that uses
URL as the class name. But this prevents from fixing issues like issue #55663
and issue #61465. So we need to have the URL property be used just for URL and
have a new property for the class name.
Comment 1 Martin Entlicher 2006-08-22 16:19:16 UTC
Created attachment 33164 [details]
The API change
Comment 2 Martin Entlicher 2006-08-22 16:20:33 UTC
The API change with modified test is attached.
Please review, thanks.
Comment 3 Martin Entlicher 2006-08-30 10:12:57 UTC
Thanks for the review. I'll integrate the change today evening CET.
Comment 4 Martin Entlicher 2006-08-30 17:52:40 UTC
Implemented in trunk:

/cvs/debuggerjpda/src/org/netbeans/modules/debugger/jpda/breakpoints/BreakpointsReader.java,v
 <--  BreakpointsReader.java
new revision: 1.5; previous revision: 1.4

/cvs/debuggerjpda/src/org/netbeans/modules/debugger/jpda/breakpoints/LineBreakpointImpl.java,v
 <--  LineBreakpointImpl.java
new revision: 1.31; previous revision: 1.30

/cvs/web/jspdebug/src/org/netbeans/modules/web/debug/breakpoints/JspLineBreakpoint.java,v
 <--  JspLineBreakpoint.java
new revision: 1.16; previous revision: 1.15

/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/JspLineBreakpointTest.java,v
 <--  JspLineBreakpointTest.java
new revision: 1.6; previous revision: 1.5

/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/LineBreakpoint.java,v 
<--  LineBreakpoint.java
new revision: 1.16; previous revision: 1.15

/cvs/debuggerjpda/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.16; previous revision: 1.15

/cvs/debuggerjpda/api/manifest.mf,v  <--  manifest.mf
new revision: 1.19; previous revision: 1.18
Comment 5 Quality Engineering 2010-04-29 09:30:00 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo